/* Element Styles */

html, body {
    width: 100%
}
body {
    background-color: #261B1B;
    padding: 0;
    position: relative;
    overflow-x: hidden;
    z-index: 0;
    color: #F4F6F4;
    font-family: 'Poppins', sans-serif;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Poppins', sans-serif;
    font-weight: bolder;
    color: #F4F6F4;
}
p {
    color: #F4F6F4;
    font-family: 'Poppins', sans-serif;
}
a {
    color: #F4F6F4;
}
a:hover {
    color: #DDE0DD;
}
a:active {
    color: #D9E0D9;
}
a:focus {
    color: #D9E0D9;
}
hr {
    opacity: 0.8;
}

/* Sidebar */

.sidebar {
    border-left: 2px solid rgba(255, 255, 255, 0.3);
}

/* Parallax */

.parallax-container {
    overflow-x: hidden;
    overflow-y: auto;
    position: relative;
    height: 100%;
    width: 100%;
}
.parallax-layer {
    position: absolute;
    width: 100%;
    height: 550px;
    top: 0;
    left: 0;
}
.starsbg {
    background-image: url('../img/Stars 2.svg');
    background-repeat: repeat-x;
    background-size: 1920px;
    opacity: .5;
    z-index: 1;
}
.starsmg {
    background-image: url('../img/Stars 3.svg');
    background-repeat: repeat-x;
    background-size: 1920px;
    opacity: .6;
    z-index: 2;
}
.starsfg {
    background-image: url('../img/Stars 1.svg');
    background-repeat: repeat-x;
    background-size: 1920px;
    opacity: 0.6;
    z-index: 3;
}
.foreground {
    z-index: 30;
    position: relative;
}

/* Heading */

#head {
    position: relative;
    max-width: 100%;
    z-index: 10;
    max-height: 100vh;
}
#head > * {
    z-index: 12;
}
#title {
    font-size: 4.5em;
    font-size: calc(4.5em + 3vw);
    font-weight: bolder;
    margin: 4% 0 0 8%;
}
#logo {
    position: absolute;
    top: 5%;
    right: 5%;
    height: 300px;
    width: 300px;
    height: calc(100px + 20vw);
    width: calc(100px + 20vw);
}
#blog-title {
    font-size: 3.5em;
    font-size: calc(3.5em + 3vw);
    font-weight: bolder;
    display: inline-block;
}
#blog-logo {
    display: inline-block;
    height: 150px;
    width: 150px;
    height: calc(100px + 10vw);
    width: calc(100px + 10vw);
}

/* Records and More */

#records-more {
    background-color: #A41312;
    z-index: 10;
}
#records-more> * {
    z-index: 11;
}

/* Recent Arrivals */

#recent-arrivals {
    background-color: #6D2057;
    z-index: 10;
}
#recent-arrivals> * {
    z-index: 11;
}
#arrivals-wrapper {
    width: 100%;
    height: 72%;
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-justify-content: flex-start;
    -ms-flex-direction: flex-start;
    justify-content: flex-start;
}
.arrival {
    max-width: 225px;
    -webkit-flex: 1 1 26%;
    -ms-flex: 1 1 26%;
    flex: 1 1 26%;
    height: 100%;
    background-color: #4E0A3B;
    margin-right: 4%;
    box-shadow: inset 0 0 4px 0 rgba(0, 0, 0, .6);
}
.last.arrival {
    margin-right: 0;
}
.album-art-wrapper {
    position: relative;
    width: 85%;
    margin: 20px auto 10px auto;
}
.album-art-wrapper:before {
    display: block;
    content: "";
    width: 100%;
    padding-top: 100%;
}
.album-art {
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.album-art img {
    object-fit: contain;
    max-width: 100%;
    max-height: 100%;
}
.album-info > * {
    line-height: 10px;
}
.album-title {
    width: 85%;
    margin: 10px auto 0 auto;
    font-weight: lighter;
    word-wrap: break-word;
}
.artist {
    width: 85%;
    margin: 10px auto 0 auto;
    font-weight: bold;
    word-wrap: break-word;
}

/* Calendar */

#calendar {
    background-color: #132E45;
    position: relative;
    z-index: 10;
}
#calendar-target {
    width: 100%;
}
.event-bar {
    position: relative;
    top: 0;
    min-height: 80px;
    height: auto;
    width: 80%;
    padding-top: 1px;
    margin: 20px 0px 40px auto;
    background-color: #499977;
    -webkit-transition: padding-right .03s, width .03s;
    transition: padding-right .03s, width .03s;
}
.event-bar:hover {
    width: calc(80% + 50px);
    padding-right: 50px;
    -webkit-transition: padding-right .05s, width .05s;
    transition: padding-right .05s, width .05s;
}
.event-bar::before {
    content: "";
    width: calc(100% + 10px);
    min-height: 100%;
    height: auto;
    position: absolute;
    z-index: -1;
    top: -10px;
    left: -10px;
    background-color: #6D2057;
}
.event-title {
    margin-top: 10px;
    padding-left: 5px;
}
.event-date {
    padding-left: 15px;
}

/* Contact Us */

#contact-container {
    background-image: url('../img/LG-Store.jpg');
    height: 550px;
    width: 100%;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
#contact {
    margin: 50px auto 50px auto;
    max-width: 90%;
    width: 70%;
    width: calc(50% + 50px);
    padding: 20px;
    background-color: #6D2057;
    opacity: 0.9;
    box-shadow: 0 2px 4px 2px rgba(0, 0, 0, .4);
    /* #261B1B; */
}
#contact-mask {
    width: 100%;
    height: 100%;
    display: table;
    vertical-align: middle;
}

/* Mailing List */
#mailing-list-form {
    padding: 0 45px 0 45px;
}
.email-input {
    min-width: 220px;
    max-width: 70%;
}

/* Footer */

footer {
    position: absolute;
    width: 100%;
    bottom: 10px;
}
.social-media-label {
    white-space: nowrap;
    margin-right: 10px;
    font-size: 1.2em;
}

/* General Classes */

.valign-wrapper {
    padding: 0;
    width: 100%;
    display: table-cell;
    vertical-align: middle;
}
.container-fluid {
    padding: 0;
}
.copy-xs {
    font-size: .6em;
}
.copy-sm {
    font-size: .8em;
}
.copy-md {
    font-size: 1.2em;
}
.copy-lg {
    font-size: 2em;
}
.copy-xl {
    font-size: 2.5em;
}
.copy-flex-md {
    font-size: 1.2em;
    font-size: calc(1.2em + .8vw);
}
.content-sm {
    min-height: 350px;
    padding-top: 20px;
}
.content-md {
    height: 450px;
    padding-top: 20px;
}
.content-lg {
    height: 550px;
    padding-top: 20px;
}
.content-flex {
    padding-bottom: 60px;
}
.btn {
    border-radius: 0;
    border-width: medium;
    border-style: solid;
    border-color: #FFFFFF;
    background-color: rgba(255, 255, 255, .1);
    color: #FFFFFF;
    font-family: 'Poppins', sans-serif;
}
.btn:hover {
    color: #DDDDDD;
}
.btn:active {
    color: #CCCCCE;
}
.btn:focus {
    color: #DDDDDD;
}
.btn-blk {
    border-color: #111111;
    color: #111111;
}
.btn-blk:hover {
    color: #222222;
}
.btn-blk:active {
    color: #333337;
}
.btn-blk:focus {
    color: #222222;
}

/* Device specific rules */

@media screen and (max-width: 550px) {
    /* For changing display settings on small screens */
    /* Recent Arrivals */
    #arrivals-wrapper {
        flex-direction: column;
    }
    .arrival {
        max-width: none;
        padding: 10px;
        width: 100%;
        min-height: 100px;
        margin-bottom: 13px;
        margin-right: 0;
    }
    .arrival.first {
        margin-top: 14px;
    }
    .album-art-wrapper {
        margin-top: 0;
        height: 80px;
        width: 80px;
        float: left;
    }
    .album-info {
        display: inline;
        float: left;
        width: calc(90% - 80px);
    }
    /* Contact */
    #contact {
        width: calc(100% - 40px);
        height: 100%;
        margin: 20px;
        max-width: calc(100% - 40px);
    }
}
@media screen and (min-width: 300px) {
    /* For enabling parallax on medium and large sized screens */
    @supports ((height: 100vh) and (perspective: 1px) and (not (-webkit-overflow-scrolling: touch))) {
        .parallax-container {
            perspective: 1px;
            -webkit-transform-style: preserve-3d;
            -moz-transform-style: preserve-3d;
            -o-transform-style: preserve-3d;
            -ms-transform-style: preserve-3d;
            transform-style: preserve-3d;
            height: 100vh;
            -webkit-perspective-origin-x: 100%;
            -moz-perspective-origin-x: 100%;
            -o-perspective-origin-x: 100%;
            -ms-perspective-origin-x: 100%;
            perspective-origin-x: 100%;
        }
        .parallax-layer {
            -webkit-transform-origin-x: 100%;
            -moz-transform-origin-x: 100%;
            -o-transform-origin-x: 100%;
            -ms-transform-origin-x: 100%;
            transform-origin-x: 100%;
            max-height: 100vh;
        }
        .starsbg {
            -webkit-transform: translateZ(-2px) scale(4);
            -moz-transform: translateZ(-2px) scale(4);
            -o-transform: translateZ(-2px) scale(4);
            -ms-transform: translateZ(-2px) scale(4);
            transform: translateZ(-2px) scale(4);
            top: calc(15vh - 500px);
        }
        .starsmg {
            -webkit-transform: translateZ(-1.5px) scale(3);
            -moz-transform: translateZ(-1.5px) scale(3);
            -o-transform: translateZ(-1.5px) scale(3);
            -ms-transform: translateZ(-1.5px) scale(3);
            transform: translateZ(-1.5px) scale(3);
            top: calc(15vh - 400px);
        }
        .drummg {
            -webkit-transform: translateZ(-1.5px) scale(3);
            -moz-transform: translateZ(-1.5px) scale(3);
            -o-transform: translateZ(-1.5px) scale(3);
            -ms-transform: translateZ(-1.5px) scale(3);
            transform: translateZ(-1.5px) scale(3);
            top: calc(15vh - 400px);
        }
        .starsfg {
            -webkit-transform: translateZ(-1px) scale(2);
            -moz-transform: translateZ(-1px) scale(2);
            -o-transform: translateZ(-1px) scale(2);
            -ms-transform: translateZ(-1px) scale(2);
            transform: translateZ(-1px) scale(2);
            top: calc(15vh - 324px);
        }
        .foreground {
            -webkit-transform: translateZ(0px) scale(1);
            -moz-transform: translateZ(0px) scale(1);
            -o-transform: translateZ(0px) scale(1);
            -ms-transform: translateZ(0px) scale(1);
            transform: translateZ(0px) scale(1);
        }
    }
}
@media screen and (max-width: 368px) {
    /* Adjust size of recent arrivals to compensate for title text wrap & resize fonts */
    .drummg {
        display: none;
    }
    .arrival {
        padding: 10px;
        width: 100%;
        min-height: 80px;
        margin-bottom: 10px;
        margin-right: 0;
    }
    .arrival.first {
        margin-top: 12px;
    }
    .album-art-wrapper {
        margin-top: 0;
        height: 60px;
        width: 60px;
        float: left;
    }
    .album-info {
        display: inline;
        float: left;
        width: calc(90% - 60px);
    }
    #contact {
        width: calc(100% - 30px);
        height: 100%;
        padding: 10px;
        margin: 15px;
    }
    #title {
        font-size: 3.8em
    }
    .copy-md {
        font-size: 1em;
    }
    .copy-lg {
        font-size: 1.8em;
    }
    .copy-xl {
        font-size: 2.2em;
    }
}
@media screen and (max-width: 1025px) {
    /* Adjust position of the title for medium screen sizes */
    #title {
        max-width: 550px;
    }
}
@media screen and (max-width: 625px) {
    /* Adjust position of the title for medium screen sizes */
    #title {
        position: absolute;
        bottom: 20px;
    }
    #logo {
        width: calc(150px + 20vw);
        height: calc(150px + 20vw);
    }
}

@supports (not ((display: flex) or (display: -webkit-flex))) {
    #arrivals-wrapper {
        display: table-row;
    }
    .arrival {
        display: table-cell;
    }
}
